Bug 859892 - system info contains "u"-s in "OS release" field
system info contains "u"-s in "OS release" field
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Adam Price
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 06:33 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-09-24 06:33:16 EDT
Description of problem:
Recent CFSE 1.1 candidate makes the CLI on `sysyem info` call to return:
---
"OS release:      {u'releaseVer': u'6.3', u'id': None}"
---
No idea what the "u"-s there could mean?

Version-Release number of selected component (if applicable):
candlepin-selinux-0.7.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
python-qpid-0.7.946106-1.el6.noarch
qpid-cpp-client-0.14-16.el6.x86_64
qpid-cpp-server-0.14-16.el6.x86_64
qpid-cpp-server-ssl-0.14-16.el6.x86_64
katello-agent-1.1.2-1.el6cf.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
pulp-1.1.12-1.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
candlepin-cert-consumer-dell-pe830-02.rhts.eng.bos.redhat.com-1.0-1.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
pulp-common-1.1.12-1.el6cf.noarch
pulp-selinux-server-1.1.12-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-16.el6.x86_64
m2crypto-0.21.1.pulp-7.el6.x86_64
katello-common-1.1.12-7.el6cf.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch

How reproducible:
always

Steps to Reproduce:
1. register a system using --release=6.3 option
2. call system info --name=<thatSystem>
3. notice the "u"s
  
Actual results:
some "u"-s in the output for "OS release" field.

Expected results:
clean info (without that u-s)

Additional info:
Comment 3 Adam Price 2012-10-19 15:54:02 EDT
merged in a fix in commit:
https://github.com/Katello/katello/commit/840c0c046f3bb518f68af9b56f9d666d2357064b
Comment 4 Mike McCune 2013-08-16 14:23:37 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 5 Mike McCune 2013-09-19 14:14:39 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.